Skip to main content
GET
/
api
/
v1
/
apps
/
{app_id}
/
app_users
List
package main

import(
	"context"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
	conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := conductoronesdkgo.New(
        conductoronesdkgo.WithSecurity(shared.Security{
            BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
            Oauth: "<YOUR_OAUTH_HERE>",
        }),
    )

    res, err := s.AppUser.List(ctx, operations.C1APIAppV1AppUserServiceListRequest{
        AppID: "<id>",
    })
    if err != nil {
        log.Fatal(err)
    }
    if res.AppUserServiceListResponse != nil {
        // handle response
    }
}
{
  "expanded": [
    {
      "@type": "<string>"
    }
  ],
  "list": [
    {
      "appPath": "<string>",
      "appUser": {
        "appId": "<string>",
        "appUserType": "APP_USER_TYPE_UNSPECIFIED",
        "createdAt": "2023-11-07T05:31:56Z",
        "deletedAt": "2023-11-07T05:31:56Z",
        "displayName": "<string>",
        "email": "<string>",
        "emails": [
          "<string>"
        ],
        "employeeIds": [
          "<string>"
        ],
        "id": "<string>",
        "identityUserId": "<string>",
        "isExternal": true,
        "profile": {},
        "status": {
          "details": "<string>",
          "status": "STATUS_UNSPECIFIED"
        },
        "updatedAt": "2023-11-07T05:31:56Z",
        "username": "<string>",
        "usernames": [
          "<string>"
        ]
      },
      "identityUserPath": "<string>",
      "lastUsagePath": "<string>"
    }
  ],
  "nextPageToken": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://conductorone-ian-account-to-user-pipeline.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

The ID of the app to list users for.

Query Parameters

page_size
integer<int32>

The maximum number of results to return per page.

page_token
string

The token for fetching the next page of results.

Response

200 - application/json

The response message for listing app users.

The response message for listing app users.

expanded
object[] | null

List of serialized related objects.

list
App User View · object[] | null

The list of app user results.

nextPageToken
string

The token for fetching the next page of results.